

set(groot,'defaultAxesColorOrder',[0 0 1;0 1 0], 'defaultAxesLineStyleOrder',{'-*',':','o'})

noBlocks=16;
maxTrialsPerType= 32;
noTrialsPerType=[16;32;16;16;32;16];
noTrialsPerTypePerBlock=[1;2;1;1;2;1]'*1;
noTrialTypes=6;

filename=dir('..\December2015\*_outputactivation.txt'); % change model

figure
for mm=1:length(filename) % parameter sets
    
    SDVdata=dlmread(['..\December2015\' filename(mm).name]);
    
    
    for tt=[1:6]%  trial types
        SBLdata(:,tt,mm)=(nanmean(reshape(SDVdata(1:noTrialsPerType(tt),tt),[noTrialsPerTypePerBlock(tt),noBlocks]),1))';
    end
    PMdata(:,1:4,mm)=[SBLdata(:,2,mm),nanmean(SBLdata(:,[1 3],mm),2), SBLdata(:,5,mm),nanmean(SBLdata(:,[4 6],mm),2)]; %AB- A/B+ CD+ C/D-
    
    DIFFdata(:,1:2,mm)=[PMdata(:,2,mm) - PMdata(:,1,mm), PMdata(:,3,mm) - PMdata(:,4,mm)]; % A/B+ - AB-; CD+ - C/D-
    
    haxes(mm)=subplot(3,3,mm);
    plot([1:16], DIFFdata(:,1,mm),'-sb', [1:16],DIFFdata(:,2,mm),'or','MarkerFaceColor','r')
%       plot([1:16], DIFFdata(:,1,mm),'-sb','MarkerFaceColor','w', [1:16],DIFFdata(:,2,mm),'or','MarkerFaceColor','r')

    ylim([-1 1])
    xlim([0 16])
    line([0 16], [0 0],'Color',[0 0 0])
    title(filename(mm).name , 'Interpreter', 'none', 'FontSize', 8)
    
    legend('NP', 'PP')
    
    legend off
    
end



